Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# tetrahedron_ex3.cpp File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Functions
int | main ()

## Function Documentation

int main | ( |  | ) |

| Definition at line 5 of file tetrahedron_ex3.cpp. References EQUAL_OR_DIE(), and Tetrahedron::integrate().
    00005            {
    00006
    00007   //example that check scaling
    00008
    00009   numeric h(1,100); //1.0/100
    00010   numeric a(1,2);
    00011   ex p0 = lst(a,a,a);
    00012   ex p1 = lst(a+h,a,a);
    00013   ex p2 = lst(a,a+h,a);
    00014   ex p3 = lst(a,a,a+h);
    00015
    00016   Tetrahedron tetrahedron(p0,p1,p2,p3);
    00017
    00018
    00019   ex f = 1;
    00020   ex intf = tetrahedron.integrate(f);
    00021   cout <<"intf "<<intf<<endl;
    00022   EQUAL_OR_DIE(intf, "1/6000000");
    00023
    00024   return 0;
    00025 }